--- /dev/null
+#!/bin/bash
+
+/sbin/shutdown -h now "Power button pressed, shutting down system."
--- /dev/null
+#!/bin/sh
+
+if grep -q open /proc/acpi/button/lid/LID/state; then
+ # Do not act on lid opened event. Only on lid closed.
+ exit 0
+fi
+
+# discover video card's ID
+ID=`lspci | grep VGA | awk '{ print $1 }' | sed -e 's@0000:@@' -e 's@:@/@'`
+
+# securely create a temporary file
+TMP_FILE=`mktemp /var/tmp/video_state.XXXXXX`
+trap 'rm -f $TMP_FILE' 0 1 15
+
+# write all unwritten data (just in case)
+sync
+
+# dump current data from the video card to the
+# temporary file
+cat /proc/bus/pci/$ID > $TMP_FILE
+
+# Stopping network.
+# Sony VAIO PCG-Z505RX and PCMCIA Linksys wifi card
+/etc/rc.d/init.d/network stop
+
+echo "Entering suspend mode"
+
+# suspend
+echo -n mem > /sys/power/state
+
+echo "Resuming"
+
+# restore video card data from the temporary file
+# on resume
+cat $TMP_FILE > /proc/bus/pci/$ID
+
+/etc/rc.d/init.d/network start
+
+# remove temporary file
+rm -f $TMP_FILE
+++ /dev/null
-#!/bin/sh
-
-# discover video card's ID
-ID=`lspci | grep VGA | awk '{ print $1 }' | sed -e 's@0000:@@' -e 's@:@/@'`
-
-# securely create a temporary file
-TMP_FILE=`mktemp /var/tmp/video_state.XXXXXX`
-trap 'rm -f $TMP_FILE' 0 1 15
-
-# write all unwritten data (just in case)
-sync
-
-# Unmount all removable media
-for p in $(ls /dev/disk/by-id/usb* | grep "\-part"); do
- umount ${p}
-done
-
-# dump current data from the video card to the
-# temporary file
-cat /proc/bus/pci/$ID > $TMP_FILE
-
-# Stopping network.
-# Sony VAIO PCG-Z505RX and PCMCIA Linksys wifi card
-/etc/rc.d/init.d/network stop
-
-echo "Entering suspend mode"
-
-# suspend
-echo -n mem > /sys/power/state
-
-echo "Resuming"
-
-# restore video card data from the temporary file
-# on resume
-cat $TMP_FILE > /proc/bus/pci/$ID
-
-/etc/rc.d/init.d/network start
-
-# remove temporary file
-rm -f $TMP_FILE
{
install -d -m755 /etc/acpi/events
- cat > /etc/acpi/events/s2ram << EOF
-# When a button/power event is received, the hvs2ram script is run.
+ cat > /etc/acpi/events/button-lid << EOF
+# When the lid is closed, go into suspend to ram
+event=button/lid
+action=/etc/acpi/suspend2ram.sh
+EOF
+ cat > /etc/acpi/events/button-power << EOF
+# When the power button is pressed, shutdown the system.
event=button/power
-action=/usr/local/bin/hvs2ram
-EOF
+action=/etc/acpi/shutdown.shEOF
- install -m755 ${SCRDIR}/misc/hvs2ram /usr/local/bin
+ install -v -m755 ${SCRDIR}/misc/acpi/suspend2ram.sh /etc/acpi
+ install -v -m755 ${SCRDIR}/misc/acpi/shutdown.sh /etc/acpi
install -v -m740 ${SCRDIR}/bootscripts/acpid /etc/rc.d/init.d
bootscript_add_rcsysinit acpid 65 90